Error with Chat with RTX

Running into the following error after the installation of Chat with RTX
Windows 11 Pro
13th Gen Intel(R) Core™ i9-13900KF, 3000 Mhz, 24 Core(s), 32 Logical Processor(s)
NVIDIA GeForce RTX 4090
Driver: 31.0.15.4609 (updated)

Ran as administrator and temp disabled antivirus to prevent conflicts.

Used the default directory during installation.

Successfull install but powershell error whenever trying to run an instance.

Blockquote Traceback (most recent call last):
File “C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\site-packages\urllib3\connectionpool.py”, line 793, in urlopen
response = self._make_request(
File “C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\site-packages\urllib3\connectionpool.py”, line 491, in _make_request
raise new_e
File “C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\site-packages\urllib3\connectionpool.py”, line 467, in _make_request
self._validate_conn(conn)
File “C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\site-packages\urllib3\connectionpool.py”, line 1099, in _validate_conn
conn.connect()
File “C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\site-packages\urllib3\connection.py”, line 653, in connect
sock_and_verified = _ssl_wrap_socket_and_match_hostname(
File “C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\site-packages\urllib3\connection.py”, line 806, in ssl_wrap_socket_and_match_hostname
ssl_sock = ssl_wrap_socket(
File "C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\site-packages\urllib3\util\ssl
.py", line 465, in ssl_wrap_socket
ssl_sock = ssl_wrap_socket_impl(sock, context, tls_in_tls, server_hostname)
File "C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\site-packages\urllib3\util\ssl
.py", line 509, in _ssl_wrap_socket_impl
return ssl_context.wrap_socket(sock, server_hostname=server_hostname)
File “C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\ssl.py”, line 513, in wrap_socket
return self.sslsocket_class._create(
File “C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\ssl.py”, line 1104, in _create
self.do_handshake()
File “C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\ssl.py”, line 1375, in do_handshake
self._sslobj.do_handshake()
ConnectionResetError: [WinError 10054] An existing connection was forcibly closed by the remote host

Blockquote
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File “C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\site-packages\requests\adapters.py”, line 486, in send
resp = conn.urlopen(
File “C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\site-packages\urllib3\connectionpool.py”, line 847, in urlopen
retries = retries.increment(
File “C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\site-packages\urllib3\util\retry.py”, line 470, in increment
raise reraise(type(error), error, _stacktrace)
File “C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\site-packages\urllib3\util\util.py”, line 38, in reraise
raise value.with_traceback(tb)
File “C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\site-packages\urllib3\connectionpool.py”, line 793, in urlopen
response = self._make_request(
File “C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\site-packages\urllib3\connectionpool.py”, line 491, in _make_request
raise new_e
File “C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\site-packages\urllib3\connectionpool.py”, line 467, in _make_request
self._validate_conn(conn)
File “C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\site-packages\urllib3\connectionpool.py”, line 1099, in _validate_conn
conn.connect()
File “C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\site-packages\urllib3\connection.py”, line 653, in connect
sock_and_verified = _ssl_wrap_socket_and_match_hostname(
File “C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\site-packages\urllib3\connection.py”, line 806, in ssl_wrap_socket_and_match_hostname
ssl_sock = ssl_wrap_socket(
File "C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\site-packages\urllib3\util\ssl
.py", line 465, in ssl_wrap_socket
ssl_sock = ssl_wrap_socket_impl(sock, context, tls_in_tls, server_hostname)
File "C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\site-packages\urllib3\util\ssl
.py", line 509, in _ssl_wrap_socket_impl
return ssl_context.wrap_socket(sock, server_hostname=server_hostname)
File “C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\ssl.py”, line 513, in wrap_socket
return self.sslsocket_class._create(
File “C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\ssl.py”, line 1104, in _create
self.do_handshake()
File “C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\ssl.py”, line 1375, in do_handshake
self._sslobj.do_handshake()
urllib3.exceptions.ProtocolError: (‘Connection aborted.’, ConnectionResetError(10054, ‘An existing connection was forcibly closed by the remote host’, None, 10054, None))

Blockquote
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File “C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\RAG\trt-llm-rag-windows-main\app.py”, line 114, in
embed_model = HuggingFaceEmbeddings(model_name=embedded_model)
File “C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\site-packages\langchain\embeddings\huggingface.py”, line 66, in init
self.client = sentence_transformers.SentenceTransformer(
File “C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\site-packages\sentence_transformers\SentenceTransformer.py”, line 87, in init
snapshot_download(model_name_or_path,
File “C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\site-packages\sentence_transformers\util.py”, line 442, in snapshot_download
model_info = _api.model_info(repo_id=repo_id, revision=revision, token=token)
File “C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\site-packages\huggingface_hub\utils_validators.py”, line 118, in _inner_fn
return fn(*args, **kwargs)
File “C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\site-packages\huggingface_hub\hf_api.py”, line 2084, in model_info
r = get_session().get(path, headers=headers, timeout=timeout, params=params)
File “C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\site-packages\requests\sessions.py”, line 602, in get
return self.request(“GET”, url, **kwargs)
File “C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\site-packages\requests\sessions.py”, line 589, in request
resp = self.send(prep, **send_kwargs)
File “C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\site-packages\requests\sessions.py”, line 703, in send
r = adapter.send(request, **kwargs)
File “C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\site-packages\huggingface_hub\utils_http.py”, line 67, in send
return super().send(request, *args, **kwargs)
File “C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\site-packages\requests\adapters.py”, line 501, in send
raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: (ProtocolError(‘Connection aborted.’, ConnectionResetError(10054, ‘An existing connection was forcibly closed by the remote host’, None, 10054, None)), ‘(Request ID: 0c660f0a-112a-4d8c-bea6-c8c6bbf56cd4)’)
Press any key to continue . . .

1 Like

Hello,

Please see: Chat with RTX Installation Failure - Please use the default installation directory

Yep it’s in the default installation directory.

The same Error. Also, I got the prompt when trying to run Chat with RTX
"python.exe - Entry Point Not Found
The procedure entry point balabala… (a long name of a tensor) could not be located in the dynamic link library
…\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\Lib\site-packages\nvidia\cudnn\bin\cudnn_adv_infer64_8.dll
…\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\Lib\site-packages\nvidia\cudnn\bin\cudnn_adv_train64_8.dll
…\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\Lib\site-packages\nvidia\cudnn\bin\cudnn_cnn_infer64_8.dll
…\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\Lib\site-packages\nvidia\cudnn\bin\cudnn_cnn_train64_8.dll
"

Had the exact error, and I logged the endpoint which could not be connected, it is: https://huggingface.co/api/models/WhereIsAI/UAE-Large-V1

Apparently huggingface.co has a somewhat questionable SSL certificate, that gets rejected by certain firewalls and I suspect my ISP as well. See SSL fails and we can't pull from HuggingFaceHub · Issue #25552 · huggingface/transformers · GitHub The proof is that when trying to access that URL through browser, I sometimes get SSL error as well, though it would succeed on next request somehow.

Anyway I think it’s not an issue with Chat with RTX in particular, it’s a problem with connecting to its dependency huggingface.co

5 Likes

Hmmm tried rerunning it off my phone’s hotspot to see if it was a network firewall issue and still no joy. Same 10054 error “An existing connection was forcibly closed by the remote host”

I managed to finally install it successfully but now when trying to run it I get the following error:

Traceback (most recent call last):
File “C:\Users\sorin\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\site-packages\langchain\embeddings\huggingface.py”, line 58, in init
import sentence_transformers
ModuleNotFoundError: No module named ‘sentence_transformers’

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “C:\Users\sorin\AppData\Local\NVIDIA\ChatWithRTX\RAG\trt-llm-rag-windows-main\app.py”, line 114, in
embed_model = HuggingFaceEmbeddings(model_name=embedded_model)
File “C:\Users\sorin\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\site-packages\langchain\embeddings\huggingface.py”, line 61, in init
raise ImportError(
ImportError: Could not import sentence_transformers python package. Please install it with pip install sentence-transformers.

Any ideas what this could be about?

I managed to fix the issue by using a VPN. I think it’s a regional issue so using mobile network won’t be enough.

I recommend you try the same if you still have the issue. There are plenty of free services out there. It might be slow, there are several GBs of models to be downloaded when running it for the first time, but it’s still faster than trying all the hacky fixes (regrettably I spent hours on it).

2 Likes

did you fix this error?

Unfortunately no.
Trying to install the sentence-transformers in the conda env that Chat with RTX uses, just tells me they are up to date.
I tried reinstalling all requirements, but that gives me the error that not all dependencies can be resolved and some clashes between versions.
So I’m just waiting for a new release or someone smarter than me to find a fix.

Same concern here, did anyone figure it out?

I also tried the same thing i force reinstalled the requirements but then tensorrt dll stopped working

Thank you for this advice, it worked for me. I had the exact issue “ProtocolError(‘Connection aborted.’ … )”. I downloaded the free version of Proton VPM after a quick browse of The Best VPN Services for 2023 (pcmag.com). The quick connect landed me in California (from Australia). Probably saved me hours of frustration.

1 Like

I keep getting this error while launching: “ModuleNotFoundError: No module named ‘sentence_transformers’”
Anyone solved it?